Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 374861 - NetworkManager Issues
Summary: NetworkManager Issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 8
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-10 17:40 UTC by Mike McGuire
Modified: 2007-12-03 19:55 UTC (History)
5 users (show)

Fixed In Version: 0.7.0-0.6.6.svn3109.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-03 05:35:48 UTC


Attachments (Terms of Use)

Description Mike McGuire 2007-11-10 17:40:24 UTC
Description of problem:

Several NetworkManager issues:

1.  Network Manager will not connect using STATIC ip addressing.
2.  WPA2-personal is missing from the security settings
3.  When setting DNS ip addresses, NM will only retain the primary

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.5.svn3030.fc8

How reproducible:

Everytime

Steps to Reproduce:

1.
2.
3.
  
Actual results:

As mentioned above

Expected results:

To be able to use WPA2-personal encryption on a static ip addressed network
using more than 1 dns server address
Additional info:

Comment 1 Tim Taiwanese Liim 2007-11-11 05:15:41 UTC
issue #1 
> 1.  Network Manager will not connect using STATIC ip addressing.
related bug: bug375481


Comment 2 Dan Williams 2007-11-13 15:59:05 UTC
NM won't work with static IP addressing at this time.

What options _do_ show up in the menu when you are allowed to fill in the
security details?  Does WPA Pre-shared Key do what you need?

Comment 3 Mike McGuire 2007-11-13 17:21:00 UTC
The options are:

wep
wpa-psk
wpa2-enterprise

but the wpa2-psk is missing from the dropdown.  Wpa-psk does work but doesn't 
provide the encryption level that we desire.



Comment 4 Dan Williams 2007-11-13 19:09:22 UTC
wpa-psk will actually do both wpa and wpa2, in reality.  I've renamed the option
to "WPA & WPA2 Personal" which will show up in the next build.

Comment 5 Mike McGuire 2007-11-13 23:07:51 UTC
Dan...I verified that it will do wpa2 by setting the router to wpa2-personal
only, using  (AES). I believe in F7 that the system log showed WPA2 as the
encryption scheme with the CCMP (aes) cipher.  I don't see this in the F8 system
log. 

Comment 6 Fedora Update System 2007-11-29 01:44:00 UTC
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'

Comment 7 Mike McGuire 2007-12-01 20:36:03 UTC
I just tried the NetworkManager that is currently in the updates-testing repo
and it still experiences the same issue with it trying to obtain an ip even
though the network configuration is set for STATIC ip addressing.  It just won't
connect...

Comment 8 Fedora Update System 2007-12-03 05:35:39 UTC
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Mike McGuire 2007-12-03 11:21:47 UTC
Why is this bug closed???  There is still issues using the latest NM packages
containied in the updates-testing repo.  When using STATIC ip addressing NM
still tries to to start DHCP.  Here is an excerpt from the long.  Notice NM
trying to start DHCP, I have never run DHCP, the network is set up as STATIC..

Dec  3 03:51:42 localhost NetworkManager: <info>  Activation (eth1) Beginning
DHCP transaction.
Dec  3 03:51:42 localhost NetworkManager: <info>  dhclient started with pid 2063
Dec  3 03:51:42 localhost NetworkManager: <info>  Activation (eth1) Stage 3 of 5
(IP Configure Start) complete.
Dec  3 03:51:42 localhost dhclient: Internet Systems Consortium DHCP Client
V3.0.6-Fedora
Dec  3 03:51:42 localhost dhclient: Copyright 2004-2007 Internet Systems Consortium.
Dec  3 03:51:42 localhost dhclient: All rights reserved.
Dec  3 03:51:42 localhost dhclient: For info, please visit
http://www.isc.org/sw/dhcp/
Dec  3 03:51:42 localhost dhclient:
Dec  3 03:51:42 localhost NetworkManager: <info>  DHCP: device eth1 state
changed (null) -> preinit
Dec  3 03:51:42 localhost dhclient: Listening on LPF/eth1/00:0e:35:d0:e0:43
Dec  3 03:51:42 localhost dhclient: Sending on   LPF/eth1/00:0e:35:d0:e0:43
Dec  3 03:51:42 localhost dhclient: Sending on   Socket/fallback
Dec  3 03:51:42 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 8
Dec  3 03:51:50 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 13
Dec  3 03:52:03 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 13
Dec  3 03:52:16 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 10
Dec  3 03:52:26 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 17
Dec  3 03:52:27 localhost NetworkManager: <info>  Device 'eth1' DHCP transaction
took too long (>45s), stopping it.
Dec  3 03:52:27 localhost NetworkManager: <info>  eth1: canceled DHCP
transaction, dhclient pid 2063
Dec  3 03:52:27 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5
(IP Configure Timeout) scheduled...
Dec  3 03:52:27 localhost NetworkManager: <info>  Activation (eth1) Stage 4 of 5
(IP Configure Timeout) started...
Dec  3 03:52:27 localhost NetworkManager: <info>  Activation (eth1) failed for
access point (mesa_wifi)
Dec  3 03:52:27 localhost NetworkManager: <info>  Marking connection 'Auto
mesa_wifi' invalid.
Dec  3 03:52:27 localhost NetworkManager: <info>  Activation (eth1) failed.


Comment 10 Dan Williams 2007-12-03 15:03:19 UTC
This bug was closed because the issue with WPA2 Personal was resolved.  NM does
not yet work with Static IP setups (there's a tracking bug for this already) so
if you require static IP at this time, please disable NetworkManager.


Note You need to log in before you can comment on or make changes to this bug.